Skip to main content
GET
/
agent-graphs
/
{agentId}
/
nodes
/
lite
Get Agent Graph with nodes
curl --request GET \
  --url https://api.beamstudio.ai/agent-graphs/{agentId}/nodes/lite \
  --header 'current-workspace-id: <current-workspace-id>' \
  --header 'x-api-key: <api-key>'
{
  "graphId": "<string>",
  "agentId": "<string>",
  "agentName": "<string>",
  "nodes": [
    {
      "id": "<string>",
      "objective": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.beam.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Headers

current-workspace-id
string
required

Path Parameters

agentId
string
required

Query Parameters

graphId
string

Response

200 - application/json

Agent graph nodes retrieved successfully

graphId
string
required

Graph ID

agentId
string
required

Agent ID

agentName
string
required

Agent name

nodes
object[]
required

List of graph nodes